//
//  ViewController.m
//  Rotate
//
//  Created by 张奥 on 2020/4/29.
//  Copyright © 2020 ddd. All rights reserved.
//

#import "ViewController.h"
#import "RotateAnimationView.h"

@interface ViewController ()
@property (nonatomic, strong) RotateAnimationView *rotateAnimation;

@property (nonatomic, assign) CGFloat currentProgress;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    self.view.backgroundColor = [UIColor blackColor];
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    button.frame = CGRectMake(100, 100, 80, 80);
    [button setTitle:@"点我" forState:UIControlStateNormal];
    button.backgroundColor = [UIColor redColor];
    button.titleLabel.font = [UIFont systemFontOfSize:13.f];
    [button setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    button.layer.masksToBounds = YES;
    button.layer.cornerRadius = 8.f;
    [button addTarget:self action:@selector(clickBtn) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
    
    RotateAnimationView *rotateAnimation = [[RotateAnimationView alloc] initWithFrame:CGRectMake(0, 0, 200, 200) pathWidth:10.f markWidth:20.f animationTime:1.f strokeColor:[UIColor whiteColor]];
    self.rotateAnimation = rotateAnimation;
    rotateAnimation.center = self.view.center;
    [self.view addSubview:rotateAnimation];
}

-(void)clickBtn{
    int x = arc4random() % 101;
    CGFloat progress = x / 100.f;
    [self.rotateAnimation setProgress:progress clockwise:(self.currentProgress - progress) > 0];
    self.currentProgress = progress;
}


@end
